/*********************************************************************
 *	|[g	,  AhX , ioCgA悭QƂ邩ǂj
 *********************************************************************
 */
PortList portList[]={
 {"PINB"    ,	_SFR_IO8(0x03)	|QQ},
 {"DDRB"    ,	_SFR_IO8(0x04)	|QQ},
 {"PORTB"   ,	_SFR_IO8(0x05)	|QQ},
 {"PINC"    ,	_SFR_IO8(0x06)	|QQ},
 {"DDRC"    ,	_SFR_IO8(0x07)	|QQ},
 {"PORTC"   ,	_SFR_IO8(0x08)	|QQ},
 {"PIND"    ,	_SFR_IO8(0x09)	|QQ},
 {"DDRD"    ,	_SFR_IO8(0x0A)	|QQ},
 {"PORTD"   ,	_SFR_IO8(0x0B)	|QQ},
 {"TIFR0"   ,	_SFR_IO8(0x15)	},
 {"TIFR1"   ,	_SFR_IO8(0x16)	},
 {"TIFR2"   ,	_SFR_IO8(0x17)	},
 {"PCIFR"   ,	_SFR_IO8(0x1B)	},
 {"EIFR"    ,	_SFR_IO8(0x1C)	},
 {"EIMSK"   ,	_SFR_IO8(0x1D)	},
 {"GPIOR0"  ,	_SFR_IO8(0x1E)	},
 {"EECR"    ,	_SFR_IO8(0x1F)	},
 {"EEDR"    ,	_SFR_IO8(0X20)	},
 {"EEAR"    ,	_SFR_IO16(0x21)	},
 {"EEARL"   ,	_SFR_IO8(0x21)	},
 {"EEARH"   ,	_SFR_IO8(0X22)	},
 {"GTCCR"   ,	_SFR_IO8(0x23)	},
 {"TCCR0A"  ,	_SFR_IO8(0x24)	},
 {"TCCR0B"  ,	_SFR_IO8(0x25)	},
 {"TCNT0"   ,	_SFR_IO8(0x26)	},
 {"OCR0A"   ,	_SFR_IO8(0x27)	},
 {"OCR0B"   ,	_SFR_IO8(0x28)	},
 {"GPIOR1"  ,	_SFR_IO8(0x2A)	},
 {"GPIOR2"  ,	_SFR_IO8(0x2B)	},
 {"SPCR"    ,	_SFR_IO8(0x2C)	},
 {"SPSR"    ,	_SFR_IO8(0x2D)	},
 {"SPDR"    ,	_SFR_IO8(0x2E)	},
 {"ACSR"    ,	_SFR_IO8(0x30)	},
 {"MONDR"   ,	_SFR_IO8(0x31)	},
 {"SMCR"    ,	_SFR_IO8(0x33)	},
 {"MCUSR"   ,	_SFR_IO8(0x34)	},
 {"MCUCR"   ,	_SFR_IO8(0x35)	},
 {"SPMCSR"  ,	_SFR_IO8(0x37)	},
 {"WDTCSR"  ,	_SFR_MEM8(0x60)	},
 {"CLKPR"   ,	_SFR_MEM8(0x61)	},
 {"PRR"     ,	_SFR_MEM8(0x64)	},
 {"OSCCAL"  ,	_SFR_MEM8(0x66)	},
 {"PCICR"   ,	_SFR_MEM8(0x68)	},
 {"EICRA"   ,	_SFR_MEM8(0x69)	},
 {"PCMSK0"  ,	_SFR_MEM8(0x6B)	},
 {"PCMSK1"  ,	_SFR_MEM8(0x6C)	},
 {"PCMSK2"  ,	_SFR_MEM8(0x6D)	},
 {"TIMSK0"  ,	_SFR_MEM8(0x6E)	},
 {"TIMSK1"  ,	_SFR_MEM8(0x6F)	},
 {"TIMSK2"  ,	_SFR_MEM8(0x70)	},
 {"ADC"     ,	_SFR_MEM16(0x78)	},
 {"ADCW"    ,	_SFR_MEM16(0x78)	},
 {"ADCL"    ,	_SFR_MEM8(0x78)	},
 {"ADCH"    ,	_SFR_MEM8(0x79)	},
 {"ADCSRA"  ,	_SFR_MEM8(0x7A)	},
 {"ADCSRB"  ,	_SFR_MEM8(0x7B)	},
 {"ADMUX"   ,	_SFR_MEM8(0x7C)	},
 {"DIDR0"   ,	_SFR_MEM8(0x7E)	},
 {"DIDR1"   ,	_SFR_MEM8(0x7F)	},
 {"TCCR1A"  ,	_SFR_MEM8(0x80)	},
 {"TCCR1B"  ,	_SFR_MEM8(0x81)	},
 {"TCCR1C"  ,	_SFR_MEM8(0x82)	},
 {"TCNT1"   ,	_SFR_MEM16(0x84)	},
 {"TCNT1L"  ,	_SFR_MEM8(0x84)	},
 {"TCNT1H"  ,	_SFR_MEM8(0x85)	},
 {"ICR1"    ,	_SFR_MEM16(0x86)	},
 {"ICR1L"   ,	_SFR_MEM8(0x86)	},
 {"ICR1H"   ,	_SFR_MEM8(0x87)	},
 {"OCR1A"   ,	_SFR_MEM16(0x88)	},
 {"OCR1AL"  ,	_SFR_MEM8(0x88)	},
 {"OCR1AH"  ,	_SFR_MEM8(0x89)	},
 {"OCR1B"   ,	_SFR_MEM16(0x8A)	},
 {"OCR1BL"  ,	_SFR_MEM8(0x8A)	},
 {"OCR1BH"  ,	_SFR_MEM8(0x8B)	},
 {"TCCR2A"  ,	_SFR_MEM8(0xB0)	},
 {"TCCR2B"  ,	_SFR_MEM8(0xB1)	},
 {"TCNT2"   ,	_SFR_MEM8(0xB2)	},
 {"OCR2A"   ,	_SFR_MEM8(0xB3)	},
 {"OCR2B"   ,	_SFR_MEM8(0xB4)	},
 {"ASSR"    ,	_SFR_MEM8(0xB6)	},
 {"TWBR"    ,	_SFR_MEM8(0xB8)	},
 {"TWSR"    ,	_SFR_MEM8(0xB9)	},
 {"TWAR"    ,	_SFR_MEM8(0xBA)	},
 {"TWDR"    ,	_SFR_MEM8(0xBB)	},
 {"TWCR"    ,	_SFR_MEM8(0xBC)	},
 {"TWAMR"   ,	_SFR_MEM8(0xBD)	},
 {"UCSR0A"  ,	_SFR_MEM8(0xC0)	},
 {"UCSR0B"  ,	_SFR_MEM8(0xC1)	},
 {"UCSR0C"  ,	_SFR_MEM8(0xC2)	},
 {"UBRR0"   ,	_SFR_MEM16(0xC4)	},
 {"UBRR0L"  ,	_SFR_MEM8(0xC4)	},
 {"UBRR0H"  ,	_SFR_MEM8(0xC5)	},
 {"UDR0"    ,	_SFR_MEM8(0xC6)	},

	{NULL,0,0}
};

/*********************************************************************
 *
 *********************************************************************
 */
